Subject: Re: bug#23180: 2016-01-31; Auto-capitalize and change env

From: Uwe Brauer <[email-masked]>
Date: Fri, 01 Apr 2016 13:17:45 +0000

> 2016-04-01 14:27 GMT+02:00 Uwe Brauer <[email-masked]>:

    > Still can't reproduce, and I think there is an error in your recipe.
    > I guess you start from

    > \begin{equation}
    >   A_i
    > \end{equation}

    > move anywhere inside the environment, issue C-u C-c C-e "align" RET and get

    > \begin{equation}
    >   A_i
    > \end{align}

    > Is it correct?  Then I can't reproduce, I get

More or less. The begin document is changed as well. I just repeated the
steps.

First the recipe.

  emacs -Q
  load auc-init.el
  load my-auto.el
  load $HOME/.emacs.d/elpa/auto-capitalize-20131013.2205/auto-capitalize.el

Open a Latex file

\documentclass[11pt]{article}
\begin{document}

\begin{equation}
 A_i a_{I}i
\end{equation}
\end{document}

move anywhere inside the environment, issue C-u C-c C-e "align" RET and
get

And I obtain
\documentclass[11pt]{article}
\begin{align}

\begin{equation}
 A_i a_{I}i
\end{align}

\end{document}